/**
 * GENERAL
 * -------------------------------------------------------------------
 */
body {
    background: #4f85bb;
}

* {
    margin: 0;
    padding: 0;
    font-family: 'Roboto', sans-serif;
    box-sizing: border-box;
}


/**
 * MENU
 * -------------------------------------------------------------------
 */
nav {
    position: absolute;
    width: 100%;
    background: #2a2a2a;
    font-size: 16px;
    box-shadow: 0 0 80px rgba(0, 0, 0, 1);
}

nav > ul {
    position: relative;
    width: 800px;
    margin: 0 auto;
    padding: 0;
    text-align: center;
}

nav a {
    display: block;
    color: #fff;
    text-decoration: none;
}

nav li {
    display: inline-block;
    color: #fff;
    list-style: none;
    transition: 0.1s;
}

nav > ul > li > a {
    padding: 15px 25px;
}

nav ul > li.submenu > a:after {
    position: relative;
    float: right;
    content: '';
    margin-left: 10px;
    margin-top: 8px;
    border-left: 5px solid transparent;
    border-right: 5px solid transparent;
    border-top: 5px solid #fff;
    border-bottom: 5px solid transparent;
}

nav ul > li.submenu:hover > a:after {
    margin-top: 2px;
    border-top: 5px solid transparent;
    border-bottom: 5px solid #fff;
}

nav > ul > li:hover {
    background: #4096ee;
}

/* Megamenu */
nav ul.megamenu {
    position: absolute;
    width: 800px;
    top: -9999px;
    left: 0;
    padding: 40px 40px 0 40px;
    background: #fff;
    text-align: left;
    border-top: 5px solid #4096ee;
    box-shadow: 0 5px 10px rgba(0, 0, 0, 0.5);
    z-index: 1;
}

nav ul li:hover ul.megamenu {
    top: 100%;
}


/**
 * BREAKPOINTS
 * -------------------------------------------------------------------
 */
nav .column {
    width: 32%;
    float: left;
    margin-right: 2%;
}

nav .column:last-child {
    margin-right: 0;
}

nav .column ul {
    margin-bottom: 40px;
}

nav .megamenu li {
    display: block;
}

nav .megamenu li a {
    margin-top: 10px;
    transition: 0.5s;
    color: #000;
}

nav .megamenu li a:hover {
    color: #4096ee;
}

nav .megamenu h4 {
    margin-bottom: 15px;
    color: #000;
    text-transform: uppercase;
}